// pecco -- please enjoy classification with conjunctive features
//  $Id: pecco.cc 827 2012-05-10 14:12:37Z ynaga $
// Copyright (c) 2008-2012 Naoki Yoshinaga <ynaga@tkl.iis.u-tokyo.ac.jp>
#include "pecco.h"

int main (int argc, char * argv[]) {

  pecco::option opt (argc, argv);
  pecco::pecco * pecco = 0;
  switch (opt.type) {
#ifdef USE_KERNEL
    case pecco::KERNEL:
      pecco = new pecco::pecco (opt, static_cast <pecco::kernel_model *> (0));
      break;
#endif
#ifdef USE_LINEAR
    case pecco::LINEAR:
      pecco = new pecco::pecco (opt, static_cast <pecco::linear_model *> (0));
      break;
#endif
    default:
      ny::print_err (HERE "unsupported model type.\n");
  }
  pecco->load (opt.model);
  pecco->batch ();
  delete pecco;
  return 0;
}
